diff --git a/build.sh b/build.sh
index 7ff6647e..659c1a67 100755
--- a/build.sh
+++ b/build.sh
@@ -21,12 +21,11 @@ function run() {
fi
}
-run .paket/paket.bootstrapper.exe
-
if [[ "$OS" != "Windows_NT" ]] && [ ! -e ~/.config/.mono/certs ]
then
mozroots --import --sync --quiet
fi
+run .paket/paket.bootstrapper.exe
run .paket/paket.exe restore
run packages/FAKE/tools/FAKE.exe "$@" $FSIARGS build.fsx
diff --git a/build/MathNet.Numerics.Extension.nuspec b/build/MathNet.Numerics.Extension.nuspec
index 705d49dd..eb0593ec 100644
--- a/build/MathNet.Numerics.Extension.nuspec
+++ b/build/MathNet.Numerics.Extension.nuspec
@@ -9,7 +9,7 @@
@authors@
http://numerics.mathdotnet.com/
http://www.mathdotnet.com/images/MathNet128.png
- http://numerics.mathdotnet.com/docs/License.html
+ http://numerics.mathdotnet.com/License.html
false
@tags@
@releaseNotes@
diff --git a/build/MathNet.Numerics.nuspec b/build/MathNet.Numerics.nuspec
index 15cc5da2..19c6d931 100644
--- a/build/MathNet.Numerics.nuspec
+++ b/build/MathNet.Numerics.nuspec
@@ -9,7 +9,7 @@
@authors@
http://numerics.mathdotnet.com/
http://www.mathdotnet.com/images/MathNet128.png
- http://numerics.mathdotnet.com/docs/License.html
+ http://numerics.mathdotnet.com/License.html
false
@tags@
@releaseNotes@
diff --git a/paket.sh b/paket.sh
index 2810d370..801a36bb 100755
--- a/paket.sh
+++ b/paket.sh
@@ -1,11 +1,30 @@
-#!/bin/bash
-if test "$OS" = "Windows_NT"
+#!/usr/bin/env bash
+
+set -eu
+set -o pipefail
+
+cd `dirname $0`
+
+FSIARGS=""
+OS=${OS:-"unknown"}
+if [[ "$OS" != "Windows_NT" ]]
then
- # use .Net
- [ ! -f .paket/paket.exe ] && .paket/paket.bootstrapper.exe
- .paket/paket.exe $@
-else
- # use mono
- [ ! -f .paket/paket.exe ] && mono --runtime=v4.0 .paket/paket.bootstrapper.exe
- mono --runtime=v4.0 .paket/paket.exe $@
+ FSIARGS="--fsiargs -d:MONO"
fi
+
+function run() {
+ if [[ "$OS" != "Windows_NT" ]]
+ then
+ mono "$@"
+ else
+ "$@"
+ fi
+}
+
+if [[ "$OS" != "Windows_NT" ]] && [ ! -e ~/.config/.mono/certs ]
+then
+ mozroots --import --sync --quiet
+fi
+
+run .paket/paket.bootstrapper.exe
+run .paket/paket.exe "$@"